Subject: Re: bug#48082: “guix environment -l” does not work with inferior packages

From: Brice Waegeneire <[email-masked]>
Date: Sun, 01 Aug 2021 16:13:13 +0200

Hello Ricardo,

Ricardo Wurmus <[email-masked]> writes:

> I wanted to use an environment file that contains a package 
> definition, and use it with inferiors.  Here is the full guix.scm:
>
> [...]
>
> The idea was that you would use the provided channels with
>
>     USE_GUIX_INFERIOR=t guix environment -l guix.scm
>
> Unfortunately, this does not work, but there also is no error.  I 
> end up in an environment where none of the declared inputs are 
> available.  That’s because (guix scripts environments) has no 
> facilities to deal with packages that are of type 
> <inferior-package>.

Unfortunatly the environment file isn't self contained (VERSION and the
package source are missing), so I couldn't reproduce your issue.

I wanted to reproduce it since I think it may be a duplicate of #40272¹,
that is you can't build packages with inputs containing inferior-packages.

¹ https://issues.guix.gnu.org/40272

Cheers,
- Brice